Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.x509.examples
Class AttrCertExample

    java.lang.Object
      |
      +--org.bouncycastle.x509.examples.AttrCertExample

public class AttrCertExample
extends java.lang.Object

A simple exmple that generates an attribute certificate.

Constructor Summary
`AttrCertExample()`

Method Summary
`static java.security.cert.X509Certificate` | `createCaCert(java.security.PublicKey pubKey, java.security.PrivateKey privKey)` we generate the CA's certificate
`static java.security.cert.X509Certificate` | `createClientCert(java.security.PublicKey pubKey, java.security.PrivateKey caPrivKey, java.security.PublicKey caPubKey)` we generate a certificate signed by our CA's intermediate certficate
`static void` | `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttrCertExample

    public AttrCertExample()

Method Detail

### createCaCert

    public static java.security.cert.X509Certificate createCaCert(java.security.PublicKey pubKey,
                                                                  java.security.PrivateKey privKey)
                                                           throws java.lang.Exception

  we generate the CA's certificate

    `java.lang.Exception`

### createClientCert

    public static java.security.cert.X509Certificate createClientCert(java.security.PublicKey pubKey,
                                                                      java.security.PrivateKey caPrivKey,
                                                                      java.security.PublicKey caPubKey)
                                                               throws java.lang.Exception

  we generate a certificate signed by our CA's intermediate certficate

    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD